Relay docs
API ReferenceContacts

List contacts

Returns contacts for the workspace, newest first. Requires the `contacts:read` scope.

GET
/v1/public/contacts

Authorization

bearerAuth
AuthorizationBearer <token>

Workspace API key, e.g. rl_live_….

In: header

Query Parameters

limit?integer

Maximum items to return (1–200).

Range1 <= value <= 200
Default50
cursor?string

Opaque pagination cursor from a previous response's next_cursor.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/public/contacts"
{  "has_more": true,  "next_cursor": "string",  "data": [    {      "id": "c0ffee00-1111-2222-3333-444455556666",      "name": "Ada Lovelace",      "email": "[email protected]",      "phoneNumber": null,      "shopName": "acme.myshopify.com",      "avatarUrl": null,      "identifier": "cust_8821",      "companyId": null,      "customAttributes": {        "plan": "pro",        "lifetimeValue": 4200      },      "createdAt": "2026-06-24T08:00:00.000Z",      "updatedAt": "2026-06-25T09:30:00.000Z",      "lastActivityAt": "2026-06-25T10:12:00.000Z"    }  ]}
{  "error": "string"}
{  "error": "string"}